﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.17379
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DatabaseTablesClasses
{
    using System.Runtime.Serialization;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Customer", Namespace="http://schemas.datacontract.org/2004/07/DatabaseTablesClasses")]
    public partial class Customer : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string AddressField;
        
        private int IdField;
        
        private string NameField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Address
        {
            get
            {
                return this.AddressField;
            }
            set
            {
                this.AddressField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Id
        {
            get
            {
                return this.IdField;
            }
            set
            {
                this.IdField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Name
        {
            get
            {
                return this.NameField;
            }
            set
            {
                this.NameField = value;
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Order", Namespace="http://schemas.datacontract.org/2004/07/DatabaseTablesClasses")]
    public partial class Order : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private int CustomerIdField;
        
        private System.DateTime DataField;
        
        private int OrderIdField;
        
        private string ProdusField;
        
        private int SerialField;
        
        private decimal ValoareField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int CustomerId
        {
            get
            {
                return this.CustomerIdField;
            }
            set
            {
                this.CustomerIdField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime Data
        {
            get
            {
                return this.DataField;
            }
            set
            {
                this.DataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int OrderId
        {
            get
            {
                return this.OrderIdField;
            }
            set
            {
                this.OrderIdField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Produs
        {
            get
            {
                return this.ProdusField;
            }
            set
            {
                this.ProdusField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Serial
        {
            get
            {
                return this.SerialField;
            }
            set
            {
                this.SerialField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public decimal Valoare
        {
            get
            {
                return this.ValoareField;
            }
            set
            {
                this.ValoareField = value;
            }
        }
    }
}


[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(ConfigurationName="IDatabase")]
public interface IDatabase
{
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/GetCustomerById", ReplyAction="http://tempuri.org/IDatabase/GetCustomerByIdResponse")]
    DatabaseTablesClasses.Customer GetCustomerById(int _id);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/InsertCustomer", ReplyAction="http://tempuri.org/IDatabase/InsertCustomerResponse")]
    void InsertCustomer(string _name, string _address);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/UpdateCustomer", ReplyAction="http://tempuri.org/IDatabase/UpdateCustomerResponse")]
    void UpdateCustomer(DatabaseTablesClasses.Customer customer);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/DeleteCustomer", ReplyAction="http://tempuri.org/IDatabase/DeleteCustomerResponse")]
    void DeleteCustomer(DatabaseTablesClasses.Customer customer);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/GetOrder", ReplyAction="http://tempuri.org/IDatabase/GetOrderResponse")]
    DatabaseTablesClasses.Order GetOrder(int _orderid);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/InsertOrder", ReplyAction="http://tempuri.org/IDatabase/InsertOrderResponse")]
    void InsertOrder(int _customerid, System.DateTime dt, decimal _value);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/UpdateOrder", ReplyAction="http://tempuri.org/IDatabase/UpdateOrderResponse")]
    void UpdateOrder(DatabaseTablesClasses.Order order);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/DeleteOrder", ReplyAction="http://tempuri.org/IDatabase/DeleteOrderResponse")]
    void DeleteOrder(DatabaseTablesClasses.Order order);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/GetAllCustomer", ReplyAction="http://tempuri.org/IDatabase/GetAllCustomerResponse")]
    DatabaseTablesClasses.Customer[] GetAllCustomer();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDatabase/GetAllOrdersForCustomer", ReplyAction="http://tempuri.org/IDatabase/GetAllOrdersForCustomerResponse")]
    DatabaseTablesClasses.Order[] GetAllOrdersForCustomer(int _customerid);
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public interface IDatabaseChannel : IDatabase, System.ServiceModel.IClientChannel
{
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public partial class DatabaseClient : System.ServiceModel.ClientBase<IDatabase>, IDatabase
{
    
    public DatabaseClient()
    {
    }
    
    public DatabaseClient(string endpointConfigurationName) : 
            base(endpointConfigurationName)
    {
    }
    
    public DatabaseClient(string endpointConfigurationName, string remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public DatabaseClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public DatabaseClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(binding, remoteAddress)
    {
    }
    
    public DatabaseTablesClasses.Customer GetCustomerById(int _id)
    {
        return base.Channel.GetCustomerById(_id);
    }
    
    public void InsertCustomer(string _name, string _address)
    {
        base.Channel.InsertCustomer(_name, _address);
    }
    
    public void UpdateCustomer(DatabaseTablesClasses.Customer customer)
    {
        base.Channel.UpdateCustomer(customer);
    }
    
    public void DeleteCustomer(DatabaseTablesClasses.Customer customer)
    {
        base.Channel.DeleteCustomer(customer);
    }
    
    public DatabaseTablesClasses.Order GetOrder(int _orderid)
    {
        return base.Channel.GetOrder(_orderid);
    }
    
    public void InsertOrder(int _customerid, System.DateTime dt, decimal _value)
    {
        base.Channel.InsertOrder(_customerid, dt, _value);
    }
    
    public void UpdateOrder(DatabaseTablesClasses.Order order)
    {
        base.Channel.UpdateOrder(order);
    }
    
    public void DeleteOrder(DatabaseTablesClasses.Order order)
    {
        base.Channel.DeleteOrder(order);
    }
    
    public DatabaseTablesClasses.Customer[] GetAllCustomer()
    {
        return base.Channel.GetAllCustomer();
    }
    
    public DatabaseTablesClasses.Order[] GetAllOrdersForCustomer(int _customerid)
    {
        return base.Channel.GetAllOrdersForCustomer(_customerid);
    }
}
